Bug 725194 - python-visual FTBFS against boost-1.47.0
python-visual FTBFS against boost-1.47.0
Product: Fedora
Classification: Fedora
Component: python-visual (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
Depends On:
Blocks: 711845
  Show dependency treegraph
Reported: 2011-07-23 19:55 EDT by Thomas Spura
Modified: 2011-09-09 13:04 EDT (History)
1 user (show)

See Also:
Fixed In Version: python-visual-5.71-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-09-09 13:04:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas Spura 2011-07-23 19:55:00 EDT
build.log snippet:

./gtk2/random_device.cpp:30:63: error: 'const result_type
boost::random::random_device::min_value' is not a static member of
'class boost::random::random_device' ./gtk2/random_device.cpp:30:41:
error: uninitialized const
'boost::random::random_device::min_value' [-fpermissive] ./gtk2/random_device.cpp:31:63:
error: 'const result_type boost::random::random_device::max_value' is
not a static member of 'class
boost::random::random_device' ./gtk2/random_device.cpp:31:41: error:
uninitialized const
'boost::random::random_device::max_value' [-fpermissive] ./gtk2/random_device.cpp:39:42:
error: 'const char* const boost::random::random_device::default_token'
is not a static member of 'class boost::random::random_device'

Full build is here:
Comment 1 Fedora Update System 2011-08-31 09:19:49 EDT
python-visual-5.71-2.fc16 has been submitted as an update for Fedora 16.
Comment 2 Fedora Update System 2011-08-31 17:43:28 EDT
Package python-visual-5.71-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-visual-5.71-2.fc16'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2011-09-09 13:04:13 EDT
python-visual-5.71-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.